Upgrade Failed Tagger Error


(Subash) #1
$ cd /var/www/discourse && git fetch && git reset --hard HEAD@{upstream}
HEAD is now at 8c28838 Merge pull request #3442 from riking/patch-poll
********************************************************
*** Please be patient, next steps might take a while ***
********************************************************
$ bundle install --deployment --without test --without development
Using rake 10.4.2
Using CFPropertyList 2.2.8
Using i18n 0.7.0
Using json 1.8.2
Using minitest 5.6.0
Using thread_safe 0.3.5
Using tzinfo 1.2.2
Using activesupport 4.1.10
Using builder 3.2.2
Using erubis 2.7.0
Using actionview 4.1.10
Using rack 1.5.2
Using rack-test 0.6.3
Using actionpack 4.1.10
Using mime-types 1.25.1
Using polyglot 0.3.5
Using treetop 1.4.15
Using mail 2.5.4
Using actionmailer 4.1.10
Using actionpack-action_caching 1.1.1
Using activemodel 4.1.10
Using active_model_serializers 0.8.3
Using arel 5.0.1.20140414130214
Using activerecord 4.1.10
Using babel-source 4.6.6
Using execjs 2.4.0
Using babel-transpiler 0.6.0
Using handlebars-source 2.0.0
Using ember-source 1.9.0.beta.4
Using barber 0.5.0
Using hitimes 1.2.2
Using timers 4.0.1
Using celluloid 0.16.0
Using certified 1.0.0
Using coderay 1.1.0
Using connection_pool 2.1.2
Using crass 1.0.1
Using daemons 1.2.2
Using diff-lcs 1.2.5
Using docile 1.1.5
Using email_reply_parser 0.5.8
Using ember-data-source 0.14
Using thor 0.19.1
Using railties 4.1.10
Using jquery-rails 3.1.2
Using ember-rails 0.14.1
Using eventmachine 1.0.7
Using excon 0.44.4
Using exifr 1.1.3
Using fabrication 2.9.8
Using fakeweb 1.3.0
Using multipart-post 2.0.0
Using faraday 0.9.1
Using fast_blank 0.0.2
Using rake-compiler 0.9.4
Using fast_stack 0.1.0
Using fast_xor 1.1.3
Using fast_xs 0.8.0
Using fastimage_discourse 1.6.6
Using ffi 1.9.6
Using fission 0.5.0
Using flamegraph 0.1.0
Using formatador 0.2.5
Using net-ssh 2.9.2
Using net-scp 1.2.1
Using fog-core 1.27.2
Using mini_portile 0.6.2
Using nokogiri 1.6.6.2
Using fog-xml 0.1.1
Using fog-atmos 0.1.0
Using multi_json 1.11.0
Using fog-json 1.0.0
Using inflecto 0.0.2
Using fog-brightbox 0.7.1
Using fog-ecloud 0.0.2
Using fog-profitbricks 0.0.1
Using fog-radosgw 0.0.3
Using fog-sakuracloud 0.1.1
Using fog-softlayer 0.3.26
Using fog-storm_on_demand 0.1.0
Using fog-terremark 0.0.3
Using fog-vmfusion 0.0.1
Using fog-voxel 0.0.2
Using ipaddress 0.8.0
Using fog 1.26.0
Using fspath 2.0.6
Using sorcerer 1.0.2
Using given_core 3.5.4
Using guess_html_encoding 0.0.11
Using hashie 3.4.0
Using highline 1.7.1
Using hike 1.2.3
Using hiredis 0.6.0
Using htmlentities 4.3.3
Using image_size 1.1.5
Using in_threads 1.2.2
Using progress 3.0.2
Using image_optim 0.9.1
Using jwt 1.3.0
Using kgio 2.9.3
Using libv8 3.16.14.7
Using listen 0.7.3
Using logster 0.8.1
Using lru_redux 0.8.4
Using redis 3.2.1
Using message_bus 1.0.11
Using metaclass 0.0.4
Using method_source 0.8.2
Using mocha 1.1.0
Using mock_redis 0.14.0
Using moneta 0.8.0
Using msgpack 0.5.11
Using multi_xml 0.5.5
Using mustache 0.99.8
Using netrc 0.10.3
Using nokogumbo 1.2.0
Using oauth 0.4.7
Using oauth2 1.0.0
Using oj 2.12.0
Using omniauth 1.2.2
Using omniauth-oauth2 1.2.0
Using omniauth-facebook 2.0.0
Using omniauth-github-discourse 1.1.2
Using omniauth-google-oauth2 0.2.5
Using omniauth-oauth 1.0.1
Using ruby-openid 2.5.0
Using rack-openid 1.3.1
Using omniauth-openid 1.0.1
Using omniauth-twitter 1.0.1
Using onebox 1.5.18
Using openid-redis-store 0.0.2
Using pg 0.18.1
Using slop 3.6.0
Using pry 0.10.1
Using pry-nav 0.2.4
Using pry-rails 0.3.3
Using puma 2.11.1
Using qunit-rails 0.0.7
Using r2 0.2.5
Using rack-mini-profiler 0.9.3
Using rack-protection 1.5.3
Using bundler 1.7.12
Using tilt 1.4.1
Using sprockets 2.11.0
Using sprockets-rails 2.0.1
Using rails 4.1.10
Using rails-observers 0.1.2
Using rails_multisite 0.0.1 from source at vendor/gems/rails_multisite
Using raindrops 0.13.0
Using rb-fsevent 0.9.4
Using rb-inotify 0.9.5
Using trollop 2.1.1
Using rbtrace 0.4.7
Using redcarpet 3.2.2
Using redis-namespace 1.5.1
Using ref 1.0.5
Using rest-client 1.7.2
Using rinku 1.7.3
Using rmmseg-cpp 0.2.9
Using rspec-support 3.2.2
Using rspec-core 3.2.3
Using rspec-expectations 3.2.1
Using rspec-mocks 3.2.1
Using rspec 3.2.0
Using rspec-given 3.5.4
Using rspec-rails 3.2.1
Using rtlit 0.0.5
Using ruby-readability 0.7.0
Using sanitize 3.1.2
Using sass 3.2.19
Using sass-rails 4.0.5
Using seed-fu 2.3.5
Using shoulda-context 1.2.1
Using shoulda-matchers 2.7.0
Using shoulda 3.5.0
Using sidekiq 3.3.2
Using simple-rss 1.3.1
Using simplecov-html 0.8.0
Using simplecov 0.9.1
Using sinatra 1.4.5
Using spork 1.0.0rc4
Using spork-rails 4.0.0
Using therubyracer 0.12.2
Using thin 1.6.3
Using timecop 0.7.3
Using uglifier 2.7.1
Using unf_ext 0.0.6
Using unf 0.1.4
Using unicorn 4.8.3
Your bundle is complete!
Gems in the group development were not installed.
It was installed into ./vendor/bundle
$ bundle exec rake multisite:migrate
rake aborted!
StandardError: An error has occurred, this and all later migrations canceled:

PG::DuplicateTable: ERROR:  relation "tagger_tags" already exists
: CREATE TABLE "tagger_tags" ("id" serial primary key, "title" character varying(255), "created_at" timestamp, "updated_at" timestamp) /var/www/discourse/vendor/bundle/ruby/2.0.0/gems/rack-mini-profiler-0.9.3/lib/patches/db/pg.rb:90:in `exec'
/var/www/discourse/vendor/bundle/ruby/2.0.0/gems/rack-mini-profiler-0.9.3/lib/patches/db/pg.rb:90:in `async_exec'
/var/www/discourse/vendor/bundle/ruby/2.0.0/gems/activerecord-4.1.10/lib/active_record/connection_adapters/postgresql/database_statements.rb:128:in `block in execute'
/var/www/discourse/vendor/bundle/ruby/2.0.0/gems/activerecord-4.1.10/lib/active_record/connection_adapters/abstract_adapter.rb:378:in `block in log'
/var/www/discourse/vendor/bundle/ruby/2.0.0/gems/activesupport-4.1.10/lib/active_support/notifications/instrumenter.rb:20:in `instrument'
/var/www/discourse/vendor/bundle/ruby/2.0.0/gems/activerecord-4.1.10/lib/active_record/connection_adapters/abstract_adapter.rb:372:in `log'
/var/www/discourse/vendor/bundle/ruby/2.0.0/gems/activerecord-4.1.10/lib/active_record/connection_adapters/postgresql/database_statements.rb:127:in `execute'
/var/www/discourse/vendor/bundle/ruby/2.0.0/gems/activerecord-4.1.10/lib/active_record/connection_adapters/abstract/schema_statements.rb:205:in `create_table'
/var/www/discourse/vendor/bundle/ruby/2.0.0/gems/activerecord-4.1.10/lib/active_record/migration.rb:656:in `block in method_missing'
/var/www/discourse/vendor/bundle/ruby/2.0.0/gems/activerecord-4.1.10/lib/active_record/migration.rb:628:in `block in say_with_time'
/var/www/discourse/vendor/bundle/ruby/2.0.0/gems/activerecord-4.1.10/lib/active_record/migration.rb:628:in `say_with_time'
/var/www/discourse/vendor/bundle/ruby/2.0.0/gems/activerecord-4.1.10/lib/active_record/migration.rb:648:in `method_missing'
/var/www/discourse/plugins/discourse-plugin-tagger/db/migrate/20140312105850_create_tagger_tags.rb:3:in `up'
/var/www/discourse/vendor/bundle/ruby/2.0.0/gems/activerecord-4.1.10/lib/active_record/migration.rb:605:in `exec_migration'
/var/www/discourse/vendor/bundle/ruby/2.0.0/gems/activerecord-4.1.10/lib/active_record/migration.rb:586:in `block (2 levels) in migrate'
/var/www/discourse/vendor/bundle/ruby/2.0.0/gems/activerecord-4.1.10/lib/active_record/migration.rb:585:in `block in migrate'
/var/www/discourse/vendor/bundle/ruby/2.0.0/gems/activerecord-4.1.10/lib/active_record/connection_adapters/abstract/connection_pool.rb:294:in `with_connection'
/var/www/discourse/vendor/bundle/ruby/2.0.0/gems/activerecord-4.1.10/lib/active_record/migration.rb:584:in `migrate'
/var/www/discourse/vendor/bundle/ruby/2.0.0/gems/activerecord-4.1.10/lib/active_record/migration.rb:759:in `migrate'
/var/www/discourse/vendor/bundle/ruby/2.0.0/gems/activerecord-4.1.10/lib/active_record/migration.rb:998:in `block in execute_migration_in_transaction'
/var/www/discourse/vendor/bundle/ruby/2.0.0/gems/activerecord-4.1.10/lib/active_record/migration.rb:1044:in `block in ddl_transaction'
/var/www/discourse/vendor/bundle/ruby/2.0.0/gems/activerecord-4.1.10/lib/active_record/connection_adapters/abstract/database_statements.rb:201:in `block in transaction'
/var/www/discourse/vendor/bundle/ruby/2.0.0/gems/activerecord-4.1.10/lib/active_record/connection_adapters/abstract/database_statements.rb:209:in `within_new_transaction'
/var/www/discourse/vendor/bundle/ruby/2.0.0/gems/activerecord-4.1.10/lib/active_record/connection_adapters/abstract/database_statements.rb:201:in `transaction'
/var/www/discourse/vendor/bundle/ruby/2.0.0/gems/activerecord-4.1.10/lib/active_record/transactions.rb:208:in `transaction'
/var/www/discourse/vendor/bundle/ruby/2.0.0/gems/activerecord-4.1.10/lib/active_record/migration.rb:1044:in `ddl_transaction'
/var/www/discourse/vendor/bundle/ruby/2.0.0/gems/activerecord-4.1.10/lib/active_record/migration.rb:997:in `execute_migration_in_transaction'
/var/www/discourse/vendor/bundle/ruby/2.0.0/gems/activerecord-4.1.10/lib/active_record/migration.rb:959:in `block in migrate'
/var/www/discourse/vendor/bundle/ruby/2.0.0/gems/activerecord-4.1.10/lib/active_record/migration.rb:955:in `each'
/var/www/discourse/vendor/bundle/ruby/2.0.0/gems/activerecord-4.1.10/lib/active_record/migration.rb:955:in `migrate'
/var/www/discourse/vendor/bundle/ruby/2.0.0/gems/activerecord-4.1.10/lib/active_record/migration.rb:814:in `up'
/var/www/discourse/vendor/bundle/ruby/2.0.0/gems/activerecord-4.1.10/lib/active_record/migration.rb:792:in `migrate'
/var/www/discourse/vendor/bundle/ruby/2.0.0/gems/activerecord-4.1.10/lib/active_record/railties/databases.rake:34:in `block (2 levels) in '
/var/www/discourse/vendor/gems/rails_multisite/lib/tasks/db.rake:8:in `block (2 levels) in '
/var/www/discourse/vendor/gems/rails_multisite/lib/rails_multisite/connection_management.rb:86:in `block in each_connection'
/var/www/discourse/vendor/gems/rails_multisite/lib/rails_multisite/connection_management.rb:84:in `each'
/var/www/discourse/vendor/gems/rails_multisite/lib/rails_multisite/connection_management.rb:84:in `each_connection'
/var/www/discourse/vendor/gems/rails_multisite/lib/tasks/db.rake:3:in `block in '
Tasks: TOP => db:migrate
(See full trace by running task with --trace)
Migrating default
---------------------------------
== 20140312105850 CreateTaggerTags: migrating =================================
-- create_table(:tagger_tags)

(Sam Saffron) #3

Tagger is unsupported use: